@for $i from 1 through 30 {
    .mr-#{$i} {
        margin-right: $i * 0.2rem;
    }
    .ml-#{$i} {
        margin-left: $i * 0.2rem;
    }
}

@for $i from 1 through 50 {
    .font-size-#{$i}px {
        font-size: $i * 1px;
    }
}

@for $i from 2 through 10 {
    .text-truncate-#{$i} {
        display: -webkit-box;
        -webkit-line-clamp: #{$i};
        -webkit-box-orient: vertical;
        overflow: hidden;
    }
}
